Installer - Bug #33446

Expose pulpcore WORKER_TTL setting in installer
09/09/2021 03:44 PM - Eric Helms

Status: Closed

Priority: Normal
Assignee: Eric Helms
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1993216 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/227,
https://github.com/theforeman/puppet-pul
pcore/pull/229,
https://github.com/theforeman/puppet-pul
pcore/pull/230

Description
nWe need to expose the worker timeout here:

https://github.com/pulp/pulpcore/blob/master/docs/configuration/settings.rst#worker_ttl

so that users can adjust this

Associated revisions

Revision 69bdebcc - 10/07/2021 09:14 AM - Eric Helms
Fixes #33446: Allow setting the time until a worker is considered lost
This change implements the WORKER_TTL setting which lets Pulp decide

how long to wait for a worker to respond before considering it gone
and cleaning up it's database and re-assiging work.

History

#1 - 09/09/2021 03:45 PM - Eric Helms

- Subject changed from b'Expose pulpcore WORKER_TTL setting in installer'
to b'Expose pulpcore WORKER_TTL setting in installer'

- Description updated

#2 - 09/09/2021 04:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/227 added

#3 - 09/14/2021 11:20 AM - Ewoud Kohl van Wijngaarden
- Subject changed from b'Expose pulpcore WORKER_TTL setting in installer' to Expose pulpcore WORKER_TTL setting in installer
- Category set to Foreman modules

- Triaged changed from No to Yes

#4 - 09/29/2021 11:03 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/229 added

#5 - 09/30/2021 06:30 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/230 added
https://github.com/pulp/pulpcore/blob/master/docs/configuration/settings.rst#worker_ttl

#6 - 10/07/2021 10:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|69bdebcc0af6919756746d3f045fb0ab2e24fd8a.
